# get\_results

<pre class="language-python"><code class="lang-python">dbnl.get_results(
    *,
    run: <a data-footnote-ref href="#user-content-fn-1">Run</a>,
) -> ResultData:
</code></pre>

## Parameters

<table><thead><tr><th width="188">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>run</code></td><td>The dbnl <a href="../../sdk-objects/run">Run</a> from which to retrieve the results.</td></tr></tbody></table>

## Returns

<table><thead><tr><th width="224">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>ResultData</code></td><td>A named tuple that comprises of <code>columns</code> and <code>scalars</code> fields. These are the <a href="https://pandas.pydata.org/docs/reference/api/pandas.DataFrame.html">pandas DataFrame</a>s of the <a href="report_results-2">uploaded</a> data for the particular Run.</td></tr></tbody></table>

{% hint style="danger" %}
You can only call `get_results` after the run is [closed](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/run/close_run).
{% endhint %}

## Examples

```python
import dbnl
import pandas as pd
dbnl.login()


proj = dbnl.get_or_create_project(name="test_p1")

uploaded_data = pd.DataFrame({"error": [0.11, 0.33, 0.52, 0.24]})
run = dbnl.report_run_with_results(
    project=proj,
    column_results=uploaded_data,
)

downloaded_data = dbnl.get_results(run=run)
assert downloaded_data.columns.equals(uploaded_data)
```

[^1]: [Run](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/run)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/run-results/get_results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
